Kepler - Bug #5450

Menu: Help -> Kepler Documentation causes lllegalArgumentException
08/05/2011 04:21 AM - unknown unknown
Description

I’ve opened the Help menu and select Kepler Documentation which causes an exeption:

export LANG=en-US

user@linux-9aw6:~/Software/kepler-2.2-linux> ./kepler.sh

JVM Memory = 5m 512m

[null] Checking for patches...

[null] Building Kars...

[null] Ran additional initialization for module core from class org.kepler.module.core.Initialize

[null] Ran additional initialization for module gui from class org.kepler.module.gui.Initialize

[null] Kepler Initializing...

[null] INFO (org.kepler.objectmanager.library.LibraryManager:buildLibrary:338) Building Library...

[null] INFO (org.kepler.objectmanager.cache.LocalRepositoryManager:scanReposForKarFiles:246) Scanning Local Repo
[null] INFO (org.kepler.kar. KARCacheManager:synchronizeKARCacheWithLocalRepositories:374) The Cache is in sync w
[null] version = 2.2

[null] ERROR (org.kepler.gui.MenuMapper:getActionFor:269) Exception trying to create an Action for classname:
<org.kepler.gui.RunWithFeedbackChkBoxAction>:

[null] java.lang.lllegalArgumentException: RunWithFeedbackChkBoxAction constructor could not get actions for DEBUG->ANIMATE
EXECUTION or DEBUG->STOP ANIMATING (java.lang.reflect.InvocationTargetException)

Nothing happens to the program functionality.

My platform is:
openSUSE11.4 kernel3.0
IcedTea/openjdk b22
kepler2.2.0

Related issues:
Is duplicate of Kepler - Bug #4872: listen to director throws error Resolved 03/05/2010
Is duplicate of Kepler - Bug #5454: DEBUG->ANIMATE EXECUTION error message Resolved 08/06/2011

History

#1 - 08/05/2011 04:22 AM - unknown unknown

Also happens with Menu: Window -> Runtime Window -

[null] ERROR (org.kepler.gui.MenuMapper:getActionFor:269) Exception trying to create an Action for classname:
&lt;org.kepler.gui.RunWithFeedbackChkBoxActioné&gt; :

[null] java.lang.IllegalArgumentException: RunWithFeedbackChkBoxAction constructor could not get actions
for DEBUG->ANIMATE EXECUTION or DEBUG->STOP ANIMATING (java.lang.reflect.InvocationTargetException)

#2 - 08/06/2011 03:57 AM - unknown unknown

Has changed a bit in trunk (revision 28231):

[run] Using default context menu stuff for class: ptolemy.kernel.ComponentEntity

[run] ERROR (org.kepler.gui.MenuMapper:getActionFor:295) Exception trying to create an Action for classname:
<org.kepler.gui.RunWithFeedbackChkBoxAction>:

[run] java.lang.lllegalArgumentException: RunWithFeedbackChkBoxAction constructor could not get actions for DEBUG->ANIMATE EXECUTION or
DEBUG->STOP ANIMATING (java.lang.reflect.InvocationTargetException)

It’s ubiquitous, so it’s less important which Kepler function | choose.
#4 - 11/03/2011 07:20 PM - Daniel Crawl

Fixed in r28869. RunWithFeedbackChkBoxAction was expecting the Ptolemy actions Debug->Animate Execution and Debug->Stop Animating to
always be present; whenever a window opened that did not have these actions, e.g., an actor documentation window,
RunWithFeedbackChkBoxAction would throw an exception. Interestingly, this problem has existed since Kepler 1.0, but MenuMapper only recently
started displaying the exception.

#6 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5450
